Get events list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/events \
--header 'x-api-key: <api-key>'{
"content": [
{
"id": 123,
"eventId": "<string>",
"transactionId": "<string>",
"eventType": "<string>",
"contractId": "<string>",
"templateId": "<string>",
"packageName": "<string>",
"templateName": "<string>",
"templateHash": "<string>",
"eventData": "<string>",
"createArguments": "<string>",
"createdAt": 123,
"signatories": "<string>",
"observers": "<string>",
"choice": "<string>",
"choiceArgument": "<string>",
"childEventIds": "<string>",
"exerciseResult": "<string>",
"consuming": true,
"actingParties": "<string>",
"interfaceId": "<string>"
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Events
Get events list
Retrieve paginated list of events
GET
/
v1
/
events
Get events list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/events \
--header 'x-api-key: <api-key>'{
"content": [
{
"id": 123,
"eventId": "<string>",
"transactionId": "<string>",
"eventType": "<string>",
"contractId": "<string>",
"templateId": "<string>",
"packageName": "<string>",
"templateName": "<string>",
"templateHash": "<string>",
"eventData": "<string>",
"createArguments": "<string>",
"createdAt": 123,
"signatories": "<string>",
"observers": "<string>",
"choice": "<string>",
"choiceArgument": "<string>",
"childEventIds": "<string>",
"exerciseResult": "<string>",
"consuming": true,
"actingParties": "<string>",
"interfaceId": "<string>"
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Documentation Index
Fetch the complete documentation index at: https://docs.modo.link/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Sorting parameter.
Available options:
AGE Queried API page.
Required range:
0 <= x <= 50Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Response
200 - */*
OK
⌘I